Extending Qt Creator Manual | PrototypeIterator

Extending Qt Creator Manual 4.5.2

# PrototypeIterator Class

(QmlJS::PrototypeIterator)

- List of all members, including inherited members

## Public Types

enum | Error { NoError, ReferenceResolutionError, CycleError }

## Public Functions

| PrototypeIterator(const ObjectValue *start, const Context *context)
| PrototypeIterator(const ObjectValue *start, const ContextPtr &context)
QList<const ObjectValue *> | all()
Error | error() const
bool | hasNext()
const ObjectValue * | next()
const ObjectValue * | peekNext()

## Member Type Documentation

### enum PrototypeIterator::Error

## Member Function Documentation

### PrototypeIterator::PrototypeIterator(const ObjectValue *start, const Context *context)

Default constructs an instance of PrototypeIterator.

### PrototypeIterator::PrototypeIterator(const ObjectValue *start, const ContextPtr &context)

Default constructs an instance of PrototypeIterator.

### QList<const ObjectValue *> PrototypeIterator::all()

### Error PrototypeIterator::error() const

### bool PrototypeIterator::hasNext()

### const ObjectValue *PrototypeIterator::next()

### const ObjectValue *PrototypeIterator::peekNext()